LOCALE(1)

NAME
locale - get locale-specific information

SYNOPSIS
locale [-a | -m]
locale [-ck] [keyword ...]

DESCRIPTION
The locale utility is supposed to provide most locale specific information to the standard output.

When locale is invoked without arguments it will print out a summary of the current locale environment depending on environment variable settings and internal status.

When locale is invoked with arguments and no options specified it will print out keyword's value determined using current locale settings.

The following options are available:

-a  Write names of all available locales. While looking for locales locale will respect the PATH_LOCALE environment variable, and use it instead of the system default locale directory.

-c  Write the category name for the selected keywords.

-k  Write the name and value of the selected keywords.

-m  Write names of all available charmaps.

IMPLEMENTATION DETAILS
Special (FreeBSD- / NetBSD-specific) keyword list can be used to retrieve a human readable list of available keywords.

DIAGNOSTICS

STANDARDS
locale conforms to p1003.1-2001.

HISTORY
locale first appeared in NetBSD 2.0.

AUTHORS
This implementation of locale was originally written by Alexey Zelkin <phantom@FreeBSD.org> for FreeBSD.

BUGS
Since NetBSD does not support charmaps in their POSIX meaning locale emulates the -m option via CODESETs listing of all available locales.